/* rem and em do not depend on HTML font-size in media queries.
Instead 1rem = 1em = 16px */

/*****************************************/
/* BELOW 1366px = 85.375 * 16px (smaller desktops) */
/*****************************************/

@media (max-width: 86em) {
  .btn,
  .btn:link,
  .btn:visited {
    font-size: 1.6rem;
    font-weight: 600;
  }

  .btn--dark:link,
  .btn--dark:visited {
    padding: 1.2rem 3.2rem;
  }

  .btn--dark:hover,
  .btn--dark:active {
    padding: 1.2rem 3.2rem;
  }

  .section-hero,
  .section-offerings,
  .section-practice,
  .section-aboutme,
  .section-referrer {
    padding: 7.2rem 0 9.6rem 0;
  }

  .section-cta {
    padding: 7.2rem 0 4.8rem 0;
  }

  .grid {
    row-gap: 4.8rem;
  }

  .hero-text-container {
    max-width: 120rem;
    padding: 8.8rem 6.4rem 0 6.4rem;
  }

  .hero-description {
    font-size: 1.6rem;
  }

  .hero-img-box {
    padding: 6.4rem 6.4rem 0 6.4rem;
  }

  .heading-primary {
    font-size: 8.32rem;
  }

  .heading-secondary {
    font-size: 3.52rem;
  }

  .heading-tertiary {
    font-size: 1.92rem;
    line-height: 1.28;
  }

  .subheading {
    font-size: 1.44rem;
  }

  .offering-description-padding-2ndcard {
    padding-top: 4.8rem;
  }

  .box-offering-statements1,
  .box-offering-statements2 {
    font-size: 2rem;
  }

  .statement::before,
  .statement::after {
    font-size: 7.14rem;
  }

  .statement::before {
    top: -3.57rem;
    left: -3.57rem;
  }

  .statement::after {
    bottom: -7.14rem;
    right: -2.14rem;
  }

  .box-offering-header {
    font-size: 2rem;
  }

  .box-pricing-header {
    font-size: 2rem;
  }

  .box-body-pricing-price {
    font-size: 3.2rem;
  }

  .box-body-pricing-details {
    font-size: 1.44rem;
  }

  .features-icon-dark {
    width: 1.92rem;
    height: 1.92rem;
  }

  #gallery-item-coatrack,
  #gallery-item-books {
    display: none;
  }

  .accordion {
    font-size: 1.6rem;
  }

  .panel {
    font-size: 1.44rem;
  }

  .cta-text {
    font-size: 1.6rem;
    margin-bottom: 3.2rem;
  }

  .cta-text-no-margin {
    font-size: 1.6rem;
  }

  .paragraph-inbetween,
  .paragraph-inbetween-pre-ul,
  .paragraph-last {
    font-size: 1.6rem;
  }

  .paragraph-inbetween {
    padding-bottom: 2rem;
  }

  .paragraph-last {
    padding-bottom: 4rem;
  }
}

/*****************************************/
/* BELOW 1200px = 75 * 16px (landscape tablets) */
/*****************************************/

@media (max-width: 75em) {
  html {
    /* 9px divided by 16 px */
    font-size: 56.25%;
  }

  .section-hero,
  .section-offerings,
  .section-practice,
  .section-aboutme,
  .section-referrer,
  .section-cta {
    padding: 4.8rem 0 4.8rem 0;
  }

  .heading-secondary {
    font-size: 3.6rem;
  }

  .header {
    padding: 0 3.2rem;
  }

  .main-nav-list {
    gap: 3.2rem;
  }

  .hero-text-container {
    gap: 4.8rem;
    padding: 8.8rem 6.4rem 0 6.4rem;
  }

  .offering-description {
    padding-top: 6.4rem;
    padding-left: 3.2rem;
    padding-right: 3.2rem;
  }

  .pricing-description {
    padding: 0 3.2rem 0 3.2rem;
  }
}

/*****************************************/
/* BELOW 1074px = 68 * 16px (tablets) */
/*****************************************/

@media (max-width: 68em) {
  /* Header part with a specific color */
  .margin-right-sm {
    margin-bottom: 1.6rem !important;
  }

  .hero-img-box {
    padding: 6.4rem 3.2rem 0 3.2rem;
  }
}

/*****************************************/
/* BELOW 998px = 62.375 * 16px (tablets) */
/*****************************************/
@media (max-width: 63em) {
  .grid {
    row-gap: 3.2rem;
  }

  .grid--3-cols {
    grid-template-columns: 1fr 1fr; /* Creates two equal-width columns */
    grid-template-rows: auto auto; /* Creates two rows */
  }

  #cta-item1 {
    grid-column: 1;
    grid-row: 1;
  }

  #cta-item2 {
    grid-column: 2;
    grid-row: 1;
  }

  #cta-item3 {
    grid-column: 1 / span 2; /* Spans across both columns */
    grid-row: 2;
  }

  .cta-text {
    margin-bottom: 2.4rem;
  }
}

/*****************************************/
/* BELOW 944px = 59 * 16px (tablets) */
/*****************************************/

@media (max-width: 59em) {
  html {
    /* 8px divided by 16 px = 50% */
    font-size: 50%;
  }

  .hero-text-container {
    grid-template-columns: 1fr;
    padding: 8.8rem 6.4rem 0 6.4rem;
    gap: 6.4rem;
  }

  .hero-img {
    width: 100%;
  }

  .practice-gallery {
    padding: 0 3.2rem 0 3.2rem;
  }

  .aboutme-img-box {
    text-align: center;
  }

  .referrer-img-box {
    text-align: center;
  }

  .btn--form {
    margin-top: 1.2rem;
  }

  /* MOBILE NAVIGATION */
  .hamburger-menu {
    display: flex;
  }

  .main-nav {
    background-color: var(--secondary-color);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all var(--animation-timing);

    /* 1) Hide navigation bar visually */
    opacity: 0;

    /* 2) Make the navigation bar unaccessible to mouse and keyboard */
    pointer-events: none;

    /* 2) Hide the navigation bar from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .main-nav-list {
    flex-direction: column;
    gap: 4.8rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 3rem;
  }
}

/*****************************************/
/* BELOW 864px = 54 * 16px (tablets) */
/*****************************************/
@media (max-width: 54em) {
  .hero-img-box {
    padding: 0 3.2rem 0 3.2rem;
  }

  .grid {
    column-gap: 3.2rem;
    row-gap: 3.2rem;
  }

  .grid--2-cols {
    grid-template-columns: 1fr;
  }

  .grid--2-cols-center {
    grid-template-columns: 1fr;
  }

  .grid--4-cols {
    grid-template-columns: 1fr 1fr; /* Zwei Spalten, jeweils 1fr breit */
    grid-template-rows: 1fr 1fr; /* Zwei Zeilen, jeweils 1fr hoch */
  }

  .down-arrow {
    display: none;
  }

  .box-offering-statements1,
  .box-offering-statements2 {
    display: none;
  }

  .box-offering-statements3 {
    padding: 6.4rem 3.2rem 12.8rem 3.2rem;
    height: 27rem;
    font-size: 2rem;
    font-style: italic;
    line-height: 1.6;
    text-align: center;
    display: block;
  }
}

/*****************************************/
/* BELOW 740px = 46.25 * 16px (tablets) */
/*****************************************/
@media (max-width: 47em) {
  .grid--2by2-matrix {
    grid-template-columns: 1fr;
  }
}

/*****************************************/
/* BELOW 600px = 38 * 16px (tablets) */
/*****************************************/
@media (max-width: 38em) {
  .grid--3-cols {
    grid-template-columns: 1fr;
  }

  #cta-item1 {
    grid-column: 1;
    grid-row: 1;
  }

  #cta-item2 {
    grid-column: 1;
    grid-row: 3;
  }

  #cta-item3 {
    grid-column: 1;
    grid-row: 4;
  }

  #winterthurkarte_large {
    display: none;
  }

  #winterthurkarte_small {
    display: block;
    grid-column: 1;
    grid-row: 2;
    padding: 0;
    margin-bottom: 2.4rem;
  }

  .logo-col,
  .address-col,
  .info-col {
    justify-self: left;
  }
}

/*****************************************/
/* BELOW 454px = 29 * 16px (tablets) */
/*****************************************/

@media (max-width: 29em) {
  .grid-gap-small {
    row-gap: 1.6rem;
  }

  .section-hero {
    padding: 4.8rem 0 4.8rem 0;
  }

  .section-offerings,
  .section-practice,
  .section-aboutme,
  .section-referrer,
  .section-cta {
    padding: 6.8rem 0 4.8rem 0;
  }

  .heading-primary {
    font-size: 7rem;
  }

  .heading-secondary {
    font-size: 3rem;
    margin-bottom: 4rem;
  }

  .heading-tertiary {
    font-size: 1.8rem;
  }

  .hero-text-container {
    padding: 0 3.2rem 0 3.2rem;
    margin-top: 8rem;
  }

  .hero-img-box {
    padding: 0 3.2rem 0 3.2rem;
  }

  .hero-description {
    margin-bottom: 2.8rem;
  }

  .offering-description {
    padding: 0 3.2rem 0 3.2rem;
  }

  .accordion {
    align-items: center;
  }

  .practice-gallery {
    display: none;
  }

  .practice-img-mobile {
    display: block;
  }

  .practice-img-box {
    padding: 0.8rem 3.2rem;
  }

  .box-body-pricing-price {
    font-size: 3rem;
  }

  .qrcode-container {
    display: none;
  }

  .vcard-btn {
    display: block;
  }

  .logo-col,
  .address-col,
  .info-col {
    margin-bottom: 2.4rem;
  }

  .footer-heading {
    margin-bottom: 2.4rem;
  }

  .paragraph-inbetween,
  .paragraph-inbetween-pre-ul,
  .paragraph-last {
    font-size: 1.44rem;
  }
}
